Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 584873 - system.listPackages doesn't include package IDs
system.listPackages doesn't include package IDs
Status: CLOSED NOTABUG
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
530
All Linux
low Severity low
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
:
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2010-04-22 11:47 EDT by Aron Parsons
Modified: 2016-01-04 00:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-15 12:56:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aron Parsons 2010-04-22 11:47:53 EDT
Description of problem:
system.listPackages doesn't return the package IDs in the results.

The package ID would be useful here when going to remove a package.  It would allow for sanity checking on the client side instead of relying on an exception from the server when trying to remove packages that aren't actually installed.

Version-Release number of selected component (if applicable):
Satellite 5.3.0

How reproducible:
Always

Steps to Reproduce:
1. Call system.listPackages on a system
  
Actual results:
The package IDs are not included in the results

Expected results:
The package ID for each package should be included in the results
Comment 1 Aron Parsons 2010-07-15 12:56:49 EDT
Not needed for this use case and I can't think of any others where this is really useful.

Note You need to log in before you can comment on or make changes to this bug.